This guide describes the methods you can use to view your data segments.

## Before you begin

Before you continue, you must
[set up authentication](https://developers.google.com/authorized-buyers/curation/apis/marketplace/overview#set_up_authentication).

## View an individual data segment

To view one of your data segments, use the
[`curators.dataSegments.get`](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1beta/curators.dataSegments/get)
method.

The following example makes a `GET` request to the [`curators.dataSegments.get`](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1beta/curators.dataSegments/get)
method, which responds with the specified data segment.

### REST

### Request

    curl \
    'https://authorizedbuyersmarketplace.googleapis.com/v1beta/curators/ACCOUNT_ID/dataSegments/test-data-segment-1' \
    --header 'Authorization: Bearer ACCESS_TOKEN' \
    --header 'Accept: application/json' \
    --compressed

Replace the following:

- `ACCOUNT_ID`: your account ID
- `ACCESS_TOKEN`: your access token.

### Response

    {
      "name": "curators/ACCOUNT_ID/dataSegments/test-data-segment-1",
      "createTime": "2025-08-13T12:14:03.421Z",
      "updateTime": "2025-08-14T19:47:40.253938Z",
      "cpmFee": {
        "currencyCode": "USD",
        "units": "1000000"
      },
      "state": "INACTIVE"
    }

### Java

```java
/*
 * Copyright (c) 2026 Google LLC
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file
except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the
License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
express
 * or implied. See the License for the specific language governing permissions and limitations
under
 * the License.
 */

package com.google.api.services.samples.authorizedbuyers.marketplace.v1beta.curators.dataSegments;

import com.google.api.services.authorizedbuyersmarketplace.v1beta.AuthorizedBuyersMarketplace;
import com.google.api.services.authorizedbuyersmarketplace.v1beta.model.DataSegment;
import com.google.api.services.authorizedbuyersmarketplace.v1beta.model.ListDataSegmentsResponse;
import com.google.api.services.authorizedbuyersmarketplace.v1beta.model.Money;
import com.google.api.services.samples.authorizedbuyers.marketplace.v1beta.Utils;
import java.io.IOException;
import java.security.GeneralSecurityException;
import net.sourceforge.argparse4j.ArgumentParsers;
import net.sourceforge.argparse4j.inf.ArgumentParser;
import net.sourceforge.argparse4j.inf.ArgumentParserException;
import net.sourceforge.argparse4j.inf.Namespace;

public class GetDataSegment {

  private GetDataSegment() {}

  /**
   * Executes the get operation for a data segment.
   *
   * @param marketplaceClient the initialized Marketplace API client.
   * @param accountId the account ID of the curator that created the data segment.
   * @param dataSegmentId the resource ID of the data segment to retrieve.
   * @throws IOException if the API returns an error.
   */
  public static void execute(
      AuthorizedBuyersMarketplace marketplaceClient, Long accountId, String dataSegmentId)
      throws IOException {

    String name = String.format("curators/%d/dataSegments/%s", accountId, dataSegmentId);

    System.out.printf("Get data segment with name \"%s\".%n", name);

    DataSegment response = marketplaceClient.curators().dataSegments().get(name).execute();

    System.out.println("Successfully retrieved data segment:");
    Utils.jsonPrettyPrint(response);
  }

  /**
   * Creates and configures the ArgumentParser for this sample.
   *
   * @return the configured ArgumentParser.
   */
  private static ArgumentParser createArgumentParser() {
    ArgumentParser parser =
        ArgumentParsers.newFor("GetDataSegment")
            .build()
            .defaultHelp(true)
            .description("Gets a specified data segment for the given curator account.");

    // Required arguments.
    parser
        .addArgument("-a", "--account_id")
        .help("The account ID of the curator that created the data segment.")
        .required(true)
        .type(Long.class);
    parser
        .addArgument("-d", "--data_segment_id")
        .help("The resource ID of the data segment to retrieve.")
        .required(true);

    return parser;
  }

  public static void main(String[] args) {
    ArgumentParser parser = createArgumentParser();
    Namespace parsedArgs = null;
    try {
      parsedArgs = parser.parseArgs(args);
    } catch (ArgumentParserException e) {
      parser.handleError(e);
      System.exit(1);
    }

    AuthorizedBuyersMarketplace client = null;
    try {
      client = Utils.getMarketplaceClient();
    } catch (IOException ex) {
      System.out.printf("Unable to create Marketplace API service:%n%s", ex);
      System.out.println("Did you specify a valid path to a service account key file?");
      System.exit(1);
    } catch (GeneralSecurityException ex) {
      System.out.printf("Unable to establish secure HttpTransport:%n%s", ex);
      System.exit(1);
    }

    Long accountId = parsedArgs.getLong("account_id");
    String dataSegmentId = parsedArgs.getString("data_segment_id");

    try {
      execute(client, accountId, dataSegmentId);
    } catch (Exception e) {
      System.out.printf("Marketplace API returned error response:%n%s", e);
      System.exit(1);
    }
  }
}
```

## View a list of all your data segments

To view all of your data segments, use the
[`curators.dataSegments.list`](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1beta/curators.dataSegments/list)
method.

The following example makes a `GET` request to the [`curators.dataSegments.list`](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1beta/curators.dataSegments/list)
method, which responds with all data segments for the specified curator account.

### REST

### Request

    curl \
    'https://authorizedbuyersmarketplace.googleapis.com/v1beta/curators/ACCOUNT_ID/dataSegments' \
    --header 'Authorization: Bearer ACCESS_TOKEN' \
    --header 'Accept: application/json' \
    --compressed

### Response

    {
      "dataSegments": [
        {
          "name": "curators/ACCOUNT_ID/dataSegments/test-data-segment-1",
          "createTime": "2025-08-13T12:14:03.421Z",
          "updateTime": "2025-08-14T20:05:51.439110Z",
          "cpmFee": {
            "currencyCode": "USD",
            "units": "1"
          },
          "state": "INACTIVE"
        },
        {
          "name": "curators/ACCOUNT_ID/dataSegments/test-data-segment-2",
          "createTime": "2025-08-14T17:45:08.744Z",
          "updateTime": "2025-08-14T17:56:02.200619Z",
          "cpmFee": {
            "currencyCode": "USD",
            "nanos": 50
          },
          "state": "ACTIVE"
        }
      ]
    }

### Java

```java
/*
 * Copyright (c) 2026 Google LLC
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file
except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the
License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
express
 * or implied. See the License for the specific language governing permissions and limitations
under
 * the License.
 */

package com.google.api.services.samples.authorizedbuyers.marketplace.v1beta.curators.dataSegments;

import com.google.api.services.authorizedbuyersmarketplace.v1beta.AuthorizedBuyersMarketplace;
import com.google.api.services.authorizedbuyersmarketplace.v1beta.model.DataSegment;
import com.google.api.services.authorizedbuyersmarketplace.v1beta.model.ListDataSegmentsResponse;
import com.google.api.services.authorizedbuyersmarketplace.v1beta.model.Money;
import com.google.api.services.samples.authorizedbuyers.marketplace.v1beta.Utils;
import java.io.IOException;
import java.security.GeneralSecurityException;
import net.sourceforge.argparse4j.ArgumentParsers;
import net.sourceforge.argparse4j.inf.ArgumentParser;
import net.sourceforge.argparse4j.inf.ArgumentParserException;
import net.sourceforge.argparse4j.inf.Namespace;

public class ListDataSegments {

  private ListDataSegments() {}

  /**
   * Executes the list operation for a curator account's data segments.
   *
   * @param marketplaceClient the initialized Marketplace API client.
   * @param parent the parent resource name under which the data segments will be listed.
   * @param pageSize the number of rows to return per page.
   * @throws IOException if the API returns an error.
   */
  public static void execute(
      AuthorizedBuyersMarketplace marketplaceClient, String parent, Integer pageSize)
      throws IOException {

    String pageToken = null;

    // Iterate through and print pages from the dataSegments.list response.
    do {
      ListDataSegmentsResponse response =
          marketplaceClient
              .curators()
              .dataSegments()
              .list(parent)
              .setPageSize(pageSize)
              .setPageToken(pageToken)
              .execute();
      Utils.jsonPrettyPrint(response);
      pageToken = response.getNextPageToken();
    } while (pageToken != null);
  }

  /**
   * Creates and configures the ArgumentParser for this sample.
   *
   * @return the configured ArgumentParser.
   */
  private static ArgumentParser createArgumentParser() {
    ArgumentParser parser =
        ArgumentParsers.newFor("ListDataSegments")
            .build()
            .defaultHelp(true)
            .description("Lists data segments for the given curator account.");

    // Required arguments.
    parser
        .addArgument("-a", "--account_id")
        .help("The account ID of the curator whose data segments will be listed.")
        .required(true)
        .type(Long.class);

    // Optional arguments.
    parser
        .addArgument("-d", "--page_size")
        .help(
            "The number of rows to return per page. The server may return fewer rows than "
                + "specified.")
        .type(Integer.class);

    return parser;
  }

  public static void main(String[] args) {
    ArgumentParser parser = createArgumentParser();
    Namespace parsedArgs = null;
    try {
      parsedArgs = parser.parseArgs(args);
    } catch (ArgumentParserException e) {
      parser.handleError(e);
      System.exit(1);
    }

    AuthorizedBuyersMarketplace client = null;
    try {
      client = Utils.getMarketplaceClient();
    } catch (IOException ex) {
      System.out.printf("Unable to create Marketplace API service:%n%s", ex);
      System.out.println("Did you specify a valid path to a service account key file?");
      System.exit(1);
    } catch (GeneralSecurityException ex) {
      System.out.printf("Unable to establish secure HttpTransport:%n%s", ex);
      System.exit(1);
    }

    String parent = String.format("curators/%d", parsedArgs.getLong("account_id"));
    Integer pageSize = parsedArgs.getInt("page_size");

    try {
      execute(client, parent, pageSize);
    } catch (Exception e) {
      System.out.printf("Marketplace API returned error response:%n%s", e);
      System.exit(1);
    }
  }
}
```

## Next steps

- Learn how to [activate and deactivate data
  segments](https://developers.google.com/authorized-buyers/curation/apis/marketplace/datasegments/activate-deactivate) with Marketplace API.
- Learn about the [Real-time Curation
  specification](https://developers.google.com/authorized-buyers/curation/realtime-curation/reference).
- Learn how to [parse incoming segment
  requests](https://developers.google.com/authorized-buyers/curation/realtime-curation/parse-request) in Real-time Curation.